Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IResultMetaData

    public interface IResultMetaData

Describes the metadata of a detail row in an IResultIterator. A detail row is defined based on a query's runtime metadata (as described by its data source driver), merging with static result set hints specified in a data set design. It includes projected columns only, which are all columns returned by a query if no explicit projection is specified. A detail row would also include any computed columns and custom columns specified in a data set design.

Method Summary
`java.lang.String` | `getColumnAlias(int index)` Deprecated. it's not supported now
`int` | `getColumnCount()` Returns the number of columns in a detail row of the result set.
`java.lang.String` | `getColumnLabel(int index)` Gets the label or display name of the column at the specified index.
`java.lang.String` | `getColumnName(int index)` Returns the column name at the specified index.
`int` | `getColumnType(int index)` Returns the data type of the column at the specified index.
`java.lang.String` | `getColumnTypeName(int index)` Returns the Data Engine data type name of the column at the specified index.

Method Detail

### getColumnCount

    int getColumnCount()

  Returns the number of columns in a detail row of the result set.

  Returns:
    the number of columns in a detail row.

### getColumnName

    java.lang.String getColumnName(int index)
                                   throws org.eclipse.birt.core.exception.BirtException

  Returns the column name at the specified index.

  Parameters:
    `index` - The projected column index.
  Returns:
    The name of the specified column.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### getColumnAlias

    java.lang.String getColumnAlias(int index)
                                    throws org.eclipse.birt.core.exception.BirtException

  Deprecated. it's not supported now

  Returns the column alias at the specified index. An alias is given to a column as a programmatic convenience. A column can be referred using a name or an alias interchangeably.

  Parameters:
    `index` - The projected column index.
  Returns:
    The alias of the specified column. Null if none is defined.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### getColumnType

    int getColumnType(int index)
                      throws org.eclipse.birt.core.exception.BirtException

  Returns the data type of the column at the specified index.

  Parameters:
    `index` - The projected column index.
  Returns:
    The data type of the specified column, as an integer defined in org.eclipse.birt.data.engine.api.DataType.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### getColumnTypeName

    java.lang.String getColumnTypeName(int index)
                                       throws org.eclipse.birt.core.exception.BirtException

  Returns the Data Engine data type name of the column at the specified index.

  Parameters:
    `index` - The projected column index.
  Returns:
    The Data Engine data type name of the specified column.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

### getColumnLabel

    java.lang.String getColumnLabel(int index)
                                    throws org.eclipse.birt.core.exception.BirtException

  Gets the label or display name of the column at the specified index.

  Parameters:
    `index` - The projected column index.
  Returns:
    The label of the specified column.
  Throws:
    `org.eclipse.birt.core.exception.BirtException` - if given index is invalid.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.